Child Address Delete Rule
curl --request DELETE \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2025-08-26T17:27:37.369Z",
"destination": {
"address": "0x77777777Dcc4d5A8B6E418Fd04D8997ef11000eE",
"asset": "USDC",
"blockchain": "base"
},
"id": "55869cbe-fa3a-44d2-a7e3-d65c08355e4d",
"isActive": true,
"isGateway": true,
"name": "Swap from USDC to Gateway",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": [
"USDC"
],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
},
"updatedAt": "2025-08-26T17:27:37.369Z"
},
"message": "Auto settlement rule deleted successfully",
"statusCode": 200
}Child Address Delete Rule
This endpoint allows users to delete a specific auto settlement rule associated with a address. The rule is identified by the id parameter in the URL,
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The unique identifier of the auto-settlement rule to be deleted. |
DELETE
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
auto-settlements
/
rules
/
{id}
Child Address Delete Rule
Authorizations
Path Parameters
Example:
"{{walletId}}"
Example:
"534e0480-f444-40c0-bc2e-2ef17bf7999e"
Example:
"55869cbe-fa3a-44d2-a7e3-d65c08355e4d"
⌘I

